Skip to main content
GET
/
videolibrary
List Video Libraries
curl --request GET \
  --url https://api.bunny.net/videolibrary \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/videolibrary"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/videolibrary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Items": [
    {
      "Id": 123,
      "Name": "<string>",
      "VideoCount": 123,
      "TrafficUsage": 123,
      "StorageUsage": 123,
      "DateCreated": "2023-11-07T05:31:56Z",
      "DateModified": "2023-11-07T05:31:56Z",
      "ReplicationRegions": [
        "<string>"
      ],
      "ApiKey": "<string>",
      "ReadOnlyApiKey": "<string>",
      "HasWatermark": true,
      "WatermarkPositionLeft": 123,
      "WatermarkPositionTop": 123,
      "WatermarkWidth": 123,
      "PullZoneId": 123,
      "StorageZoneId": 123,
      "WatermarkHeight": 123,
      "EnabledResolutions": "<string>",
      "ViAiPublisherId": "<string>",
      "VastTagUrl": "<string>",
      "WebhookUrl": "<string>",
      "CaptionsFontSize": 123,
      "CaptionsFontColor": "<string>",
      "CaptionsBackground": "<string>",
      "UILanguage": "<string>",
      "AllowEarlyPlay": true,
      "PlayerTokenAuthenticationEnabled": true,
      "AllowedReferrers": [
        "<string>"
      ],
      "BlockedReferrers": [
        "<string>"
      ],
      "BlockNoneReferrer": true,
      "EnableMP4Fallback": true,
      "KeepOriginalFiles": true,
      "AllowDirectPlay": true,
      "EnableDRM": true,
      "AppleFairPlayDrm": {
        "Enabled": true,
        "CertificateId": 123,
        "CertificateExpirationDate": "2023-11-07T05:31:56Z",
        "Provider": "<string>"
      },
      "GoogleWidevineDrm": {
        "Enabled": true,
        "CertificateId": 123,
        "CertificateExpirationDate": "2023-11-07T05:31:56Z",
        "Provider": "<string>",
        "SdOnlyForL3": true
      },
      "Bitrate240p": 123,
      "Bitrate360p": 123,
      "Bitrate480p": 123,
      "Bitrate720p": 123,
      "Bitrate1080p": 123,
      "Bitrate1440p": 123,
      "Bitrate2160p": 123,
      "ApiAccessKey": "<string>",
      "ShowHeatmap": true,
      "EnableContentTagging": true,
      "CustomHTML": "<string>",
      "Controls": "<string>",
      "PlaybackSpeeds": "<string>",
      "PlayerKeyColor": "<string>",
      "FontFamily": "<string>",
      "WatermarkVersion": 123,
      "EnableTranscribing": true,
      "EnableTranscribingTitleGeneration": true,
      "EnableTranscribingDescriptionGeneration": true,
      "EnableTranscribingChaptersGeneration": true,
      "EnableTranscribingMomentsGeneration": true,
      "TranscribingCaptionLanguages": [
        "<string>"
      ],
      "EnableCaptionsInPlaylist": true,
      "RememberPlayerPosition": true,
      "EnableMultiAudioTrackSupport": true,
      "UseSeparateAudioStream": true,
      "JitEncodingEnabled": true,
      "OutputCodecs": "<string>",
      "DrmBasePriceOverride": 123,
      "DrmCostPerLicenseOverride": 123,
      "TranscribingPriceOverride": 123,
      "PremiumEncodingPriceOverride": 123,
      "MonthlyChargesTranscribing": 123,
      "MonthlyChargesPremiumEncoding": 123,
      "MonthlyChargesEnterpriseDrm": 123,
      "FeatureFlags": "<string>",
      "PlayerVersion": 123,
      "RemoveMetadataFromFallbackVideos": true,
      "ScaleVideoUsingBothDimensions": true,
      "ExposeOriginals": true,
      "ExposeVideoMetadata": true,
      "EnableCompactControls": true
    }
  ],
  "CurrentPage": 123,
  "TotalItems": 123,
  "HasMoreItems": true
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Query Parameters

page
integer<int32>
default:0
Required range: 1 <= x <= 2147483647
perPage
integer<int32>
default:1000
Required range: 5 <= x <= 1000
search
string | null

The search term that will be used to filter the results

Response

The list of Video Libraries on the account. When the page parameter is set to a value greater than 0, the response will be a paginated object with Items, CurrentPage, TotalItems and HasMoreItems properties instead of a plain array.

Items
object[] | null
CurrentPage
integer<int32>
TotalItems
integer<int32>
HasMoreItems
boolean
Last modified on July 11, 2026